### This folder contains:

- #### FOCUS_calibration_tasmax.ipynb: 
    This vignette provides an example of code written in R that can be used to calibrate seasonal forecasts using several calibration methods (each one is explained in the calibration section).
    
    For each calibration method, the results and different skill scores are displayed and compared to the ones obtained by using a non-calibrated forecast. This example is conducted for a south-african domain along a reference period going from 1995 to 2015. 
    
    The vignette includes five main steps: (1) Loading R libraries, (2) Downloading the data and setting the configuration parameters, (3) Loading the seasonal data, (4) Calibrating the forecast and (5) Visualising the results.

    This vignette may be run in two ways:
    - **1. Virtually (reccomended)**. To use this option (and to know some information regarding this) you can go to the [binder](https://earth.bsc.es/gitlab/external/cstools/-/tree/develop-CalibrationVignette/FOCUS_7_2/binder) folder .
    - **2. Using your own computer**. Some computational requirements must be met. To get more information on this option you can go to the [in_computer](https://earth.bsc.es/gitlab/external/cstools/-/tree/develop-CalibrationVignette/FOCUS_7_2/in_computer) folder

<br>

- #### Figures: 

    Folder which contains the figures obtained in the analysis conducted within [FOCUS_calibration_tasmax.ipynb](https://earth.bsc.es/gitlab/external/cstools/-/blob/develop-CalibrationVignette/FOCUS_7_2/FOCUS_calibration_tasmax.ipynb) 

 - #### download_seasonal_data.R:

    This script is called when the vignette [FOCUS_calibration_tasmax.ipynb](https://earth.bsc.es/gitlab/external/cstools/-/blob/develop-CalibrationVignette/FOCUS_7_2/FOCUS_calibration_tasmax.ipynb) is run. It allows downloading, formatting and storing the seasonal data from the CDS (netCDFs files are obtained). This script is aimed at providing an example of how the seasonal hindcast and observations can be downloaded using R.

- #### binder:

    Folder containing the elements necessaries to run the vignette [FOCUS_calibration_tasmax.ipynb](https://earth.bsc.es/gitlab/external/cstools/-/blob/develop-CalibrationVignette/FOCUS_7_2/FOCUS_calibration_tasmax.ipynb) through Binder.


- #### in_computer:

    Folder containing information regarding some requirements and steps that need to be done to run the vignette FOCUS_calibration_tasmax.ipynb](https://earth.bsc.es/gitlab/external/cstools/-/blob/develop-CalibrationVignette/FOCUS_7_2/FOCUS_calibration_tasmax.ipynb) in a computer. 

